<template>
  <div>
    <textarea
      style="height:172px;"
      maxlength="200"
      placeholder="请输入文字内容，限200字"
      type="text"
      class="ui-input ui-textarea"
      v-model="text"
    />
  </div>
</template>
<script>
export default {
  props:['textarea'],
  data(){
    return {
      text:this.textarea
    }
  },
  watch:{
    text(newVal){
      this.$emit('textChange',newVal)
    }
  }
}
</script>

<style lang="less" src="./style.less"></style>

<style lang="less" scoped>

</style>
